@import url("https://fonts.googleapis.com/css2?family=Great+Vibes&family=Sacramento&display=swap");

$cursive: "Great Vibes", cursive;
$handwriting: "Sacramento", cursive;
$white: #fff;
$black: #000;

@mixin hc() {
    left: 50%;
    transform: translatex(-50%);
}

@mixin vc() {
    top: 50%;
    transform: translatey(-50%);
}

@mixin cc() {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

@mixin scrollbars($size, $foreground-color, $background-color) {
    ::-webkit-scrollbar-button {
        display: none;
    }
    ::-webkit-scrollbar {
        width: $size;
        height: $size;
    }
    ::-webkit-scrollbar-thumb {
        background: $foreground-color;
        border: 1px solid lighten($foreground-color, 10%);
        cursor: pointer;
    }
    ::-webkit-scrollbar-track {
        background: $background-color;
        width: calc(#{$size} * 2);
        border: 2px solid lighten($background-color, 10%);
    }
    ::-webkit-scrollbar-track-piece {
        background: $background-color;
        width: calc(#{$size} / 2);
        border: 2px solid lighten($background-color, 10%);
    }
    body {
        scrollbar-face-color: $foreground-color;
        scrollbar-track-color: $background-color;
    }
}

@include scrollbars(2px, rgba(255, 255, 255, 0.15), transparent);

.cardLivreDOr {
    width: 80%;
    margin: 50px auto;
    padding: 2em;
    border-radius: 1em;
    border: 1px solid transparentize($white, 0.5);
    background: transparentize(gold, 0.4);
    backdrop-filter: blur(20px);
    transform: perspective(500px);
    transform-style: preserve-3d;
}
.cardHaut {
    display: flex;
    justify-content: space-between;
}
.cardTitle {
    text-align: left;
    color: black;
    font-family: $handwriting;
    transform: translateZ(20px);
}
.cardSubtitle {
    margin-top: 0;
    font-family: $handwriting;
    transform: translateZ(20px);
}
.cardText {
    font-family: $cursive;
    font-size: 2.5em;
    display: block;
    transform: translateZ(40px);
    padding-left: 1em;
}
.Livre {
    background-color: white;
    padding: 50px 5%;
    text-align: center;
    width: 100%;
    p {
        font-size: 1.5rem;
        padding-bottom: 50px;
    }
}

@media (max-width: 600px) {
    .Livre p {
        font-size: 1rem;
    }
    .Livre {
        padding: 50px 0;
    }
}